;	musitext.h
;
;	Data for synthcart program

;--------------------------------------------------------------------------
; Sound Effect Array
;--------------------------------------------------------------------------
	
setupSelectEffect equ 0
setupActEffect equ 3
setupDeaEffect equ 13
startupSoundEffect equ 23

soundEffectArray
	byte 7,7,255 ; 0 setup select

	byte 9,9,9,6,6,6,3,3,3,255 ; 3 setup activate

	byte 3,3,3,6,6,6,9,9,9,255 ; 13 setup de-activate

	byte 29,29,26,26 ; 23 program startup
	byte 23,23,19,19
	byte 17,17,15,15
	byte 14,14,11,11
	byte 9,9,4,4
	byte 2,2,1,1
	byte 255



;--------------------------------------------------------------------------
; Sound Pair Arrays
;--------------------------------------------------------------------------
soundPairArrayL
	byte 4,8,12,1,6,3,6,7

soundPairArrayR	
	byte 12,12,255,255,7,255,255,255


;--------------------------------------------------------------------------
; Screen dividers
;--------------------------------------------------------------------------
dividerArray1
	byte 1,0,1,0,1,0,1,0,1,0,0,0

dividerArray2
	byte 1,1,0,0,0,0,0,1,0,1,0,0



;--------------------------------------------------------------------------
; Easter Array
;--------------------------------------------------------------------------
easterArray
	byte 255,19,14,11,9,11,9

;--------------------------------------------------------------------------
; Note data
;--------------------------------------------------------------------------
soundData1
	;    scale1,scale2,scale3,scale4

	byte 29,29,21,29
	byte 26,26,19,26
	byte 23,24,17,23
	byte 19,19,15,19
	byte 17,17,13,17
	byte 15,15,11,15
	byte 14,14,9,14
	byte 11,9,7,11
	byte 9,8,5,9
	byte 4,4,4,3
	byte 2,2,2,2
	byte 1,1,1,1

;--------------------------------------------------------------------------
; Text data
;--------------------------------------------------------------------------
;	align 256


tx_visual1
	line _sp,L,I,G,H,T,_sp,S,H,O,W,0,0

tx_visual2
	line _sp,_sp,_sp,_sp,M,O,D,E,0,0,0,0,0

tx_blank
	line 0,0,0,0,0,0,0,0,0,0,0,0,0	

tx_leftsound
	line _dot,L,E,F,T,_sp,S,I,D,E,_dot,0

tx_rightsound
	line _dot,R,I,G,H,T,_sp,S,I,D,E,_dot,0



titleTextArray
	word tx_title1, tx_title1, tx_title2, tx_title2

tx_title1
	line _logo1,_logo2,S,Y,N,T,H,C,A,R,T,0,0

tx_title2
	line _sp,_sp,S,Y,N,T,H,C,A,R,T,0,0



arpPatternTextArray
	word tx_arpup, tx_arpdown, tx_arpmix

tx_arpup
	line A,R,P,P,A,T,R,N,_sp,U,P,0,0

tx_arpdown
	line A,R,P,P,A,T,R,N,_sp,D,W,N,0

tx_arpmix
	line A,R,P,P,A,T,R,N,_sp,M,I,X,0



scaleTextArray
	word tx_major, tx_minor, tx_atonal

tx_major
	line M,A,J,O,R,_sp,S,C,A,L,E,0,0

tx_minor
	line M,I,N,O,R,_sp,S,C,A,L,E,0,0

tx_atonal
	line A,T,O,N,A,L,_sp,S,C,A,L,E,0





balBeatTextArray
	word tx_center1, tx_center2, tx_center3, tx_none
	word tx_right1, tx_right2, tx_right3, tx_none
	word tx_left1, tx_left2, tx_left3, tx_none
	word tx_none, tx_none, tx_none, tx_none

tx_center1
	line B,E,A,T,S,_1,_sp,B,A,L,_sp,C,0

tx_center2
	line B,E,A,T,S,_2,_sp,B,A,L,_sp,C,0

tx_center3
	line B,E,A,T,S,_3,_sp,B,A,L,_sp,C,0


tx_left1
	line B,E,A,T,S,_1,_sp,B,A,L,_sp,L,0

tx_left2
	line B,E,A,T,S,_2,_sp,B,A,L,_sp,L,0

tx_left3
	line B,E,A,T,S,_3,_sp,B,A,L,_sp,L,0


tx_right1
	line B,E,A,T,S,_1,_sp,B,A,L,_sp,R,0

tx_right2
	line B,E,A,T,S,_2,_sp,B,A,L,_sp,R,0

tx_right3
	line B,E,A,T,S,_3,_sp,B,A,L,_sp,R,0



tx_none
	line B,A,L,_sp,N,_pipe,B,E,A,T,S,4,0





arpTextArray
	word tx_arpoff, tx_arpon8, tx_arpon16, tx_arpon32

tx_arpoff
	line A,R,P,_sp,O,F,F,0,0,0,0,0,0

tx_arpon32
	line A,R,P,_sp,_3,_2,N,D,0,0,0,0,0

tx_arpon16
	line A,R,P,_sp,_1,_6,T,H,0,0,0,0,0

tx_arpon8
	line A,R,P,_sp,_8,T,H,0,0,0,0,0,0


adsrTextArray
	word tx_adsr0, tx_adsr1, tx_adsr2
	word tx_adsr3, tx_adsr4, tx_adsr5

tx_adsr0
	line A,D,R,_sp,_rightbar,_topbar,_leftbar,0,0,0,0,0,0

tx_adsr1
	line A,D,R,_sp,_up,_topbar,_leftbar,0,0,0,0,0,0

tx_adsr2
	line A,D,R,_sp,_rightbar,_topbar,_down,0,0,0,0,0,0

tx_adsr3
	line A,D,R,_sp,_up,_topbar,_down,0,0,0,0,0,0

tx_adsr4
	line T,R,E,M,L,O,_sp,A,S,Y,N,C,0

tx_adsr5
	line T,R,E,M,O,L,O,_sp,S,Y,N,C,0


; NTSC
; 224.71
; 179.77
; 149.81 verified
; 128.41
; 112.36
; 99.87
; 89.88
; 81.72
; 74.90
; 69.14

tempoTextArray
	word tx_tempo0, tx_tempo1, tx_tempo2, tx_tempo3
	word tx_tempo4, tx_tempo5, tx_tempo6, tx_tempo7
	word tx_tempo8, tx_tempo9

tx_tempo0
	line T,E,M,P,O,_sp,_2,_2,_4,_dot,_7,_1,0

tx_tempo1
	line T,E,M,P,O,_sp,_1,_7,_9,_dot,_7,_7,0

tx_tempo2
	line T,E,M,P,O,_sp,_1,_4,_9,_dot,_8,_1,0

tx_tempo3
	line T,E,M,P,O,_sp,_1,_2,_8,_dot,_4,_1,0

tx_tempo4
	line T,E,M,P,O,_sp,_1,_1,_2,_dot,_3,_6,0

tx_tempo5
	line T,E,M,P,O,_sp,_9,_9,_dot,_8,_7,0,0

tx_tempo6
	line T,E,M,P,O,_sp,_8,_9,_dot,_8,_8,0,0

tx_tempo7
	line T,E,M,P,O,_sp,_8,_1,_dot,_7,_2,0,0

tx_tempo8
	line T,E,M,P,O,_sp,_7,_4,_dot,_9,_0,0,0

tx_tempo9
	line T,E,M,P,O,_sp,_6,_9,_dot,_1,_4,0,0



; Setup screen B

tx_setupA1
	line A,R,P,_pipe,A,R,P,_pipe,A,R,P,_pipe,0

tx_setupA2
	line U,P,_sp,_pipe,D,W,N,_pipe,M,I,X,_pipe,0

tx_setupA3
	line S,C,L,_pipe,S,C,L,_pipe,S,C,L,_pipe,0

tx_setupA4
	line M,A,J,_pipe,M,I,N,_pipe,A,T,O,_pipe,0

tx_setupA5
	line B,N,K,_pipe,B,N,K,_pipe,B,N,K,_pipe,0

tx_setupA6
	line _sp,_1,_sp,_pipe,_sp,_2,_sp,_pipe,_sp,_3,_sp,_pipe,0

tx_setupA7
	line B,A,L,_pipe,B,A,L,_pipe,B,A,L,_pipe,0

tx_setupA8
	line _sp,L,_sp,_pipe,C,E,N,_pipe,_sp,R,_sp,_pipe,0


; Setup screen B

tx_setupB1
	line T,M,P,_pipe,A,R,P,_pipe,A,R,P,_pipe,0

tx_setupB2
	line _sp,_plus,_sp,_pipe,_1,_6,_sp,_pipe,_sp,_8,_sp,_pipe,0

tx_setupB3
	line T,M,P,_pipe,A,R,P,_pipe,A,R,P,_pipe,0

tx_setupB4
	line _sp,_minus,_sp,_pipe,_3,_2,_sp,_pipe,O,F,F,_pipe,0

tx_setupB5
	line T,R,E,_pipe,A,D,R,_pipe,A,D,R,_pipe,0

tx_setupB6
	line S,Y,N,_pipe,_rightbar,_topbar,_down,_pipe,_up,_topbar,_leftbar,_pipe,0

tx_setupB7
	line T,R,E,_pipe,A,D,R,_pipe,A,D,R,_pipe,0

tx_setupB8
	line A,S,Y,_pipe,_up,_topbar,_down,_pipe,_rightbar,_topbar,_leftbar,_pipe,0




; *** Sound Type Text ***

soundTextArray
	word tx_saw		;1
	word tx_beat	;2 (normally 255)
	word tx_engine	;3
	word tx_square	;4
	word tx_square	;5  unused
	word tx_bass	;6
	word tx_pitfall	;7
	word tx_noise	;8
	word tx_noise	;9  unused
	word tx_noise	;10 unused
	word tx_noise	;11 unused
	word tx_lead	;12

tx_square ;000
	line S,Q,U,A,R,E,0,0,0,0,0,0,0

;tx_buzz ;001 (not used)
;	line B,U,Z,Z,0,0,0,0,0,0,0,0,0

tx_pitfall ;010
	line P,I,T,F,A,L,L,0,0,0,0,0,0

tx_noise ;110
	line N,O,I,S,E,0,0,0,0,0,0,0,0

tx_bass ;100
	line B,A,S,S,0,0,0,0,0,0,0,0,0

tx_saw ;011
	line S,A,W,0,0,0,0,0,0,0,0,0,0

tx_lead ;101
	line L,E,A,D,0,0,0,0,0,0,0,0,0

tx_engine ;111
	line E,N,G,I,N,E,0,0,0,0,0,0,0

tx_beat
	line B,E,A,T,B,O,X,0,0,0,0,0,0


;--------------------------------------------------------------------------
; Arpeggiator Data
;--------------------------------------------------------------------------

arpUpArray
	;    pat1,pat2,pat3,pat4
	byte 0,0,0,0
	byte 0,0,0,0
	byte 0,0,0,0
	byte 0,0,0,0
	byte 0,0,0,0
	byte 0,0,0,0
	byte 0,0,0,0
	byte 0,0,0,0

	byte 0,1,0,0
	byte 1,0,1,0
	byte 0,1,0,0
	byte 1,0,1,0
	byte 0,1,0,0
	byte 1,0,1,0
	byte 0,1,0,0
	byte 1,0,1,0

	byte 0,2,0,0
	byte 1,1,2,0
	byte 2,0,1,0
	byte 1,1,2,0
	byte 0,2,0,0
	byte 1,1,1,0
	byte 2,0,2,0
	byte 1,1,1,0

	byte 0,3,0,0
	byte 1,2,2,0
	byte 2,1,3,0
	byte 3,0,1,0
	byte 0,3,2,0
	byte 1,2,0,0
	byte 2,1,3,0
	byte 3,0,1,0



;--------------------------------------------------------------------------
; Sound Type Array
;--------------------------------------------------------------------------
soundTypeArray
	byte 4,6,7,8
	byte 15,12,1,3


;--------------------------------------------------------------------------
; Color cycle data
;--------------------------------------------------------------------------

bgColorCycles
	byte %01100000	;0
	byte %01100001
	byte %01100010
	byte %01100011
	byte %01100100
	byte %01100100	;8
	byte %01100011
	byte %01100010
	byte %01100001
	byte %01100000
	byte %00000000
	byte %00000000
	byte %00000000
	byte %01000000
	byte %01000001
	byte %01000010
	byte %01000011	;16
	byte %01000100
	byte %01000100
	byte %01000011
	byte %01000010
	byte %01000001	;24
	byte %01000000
	byte %00000000
	byte %00000000
	byte %00000000
	byte %10000000
	byte %10000001
	byte %10000010
	byte %10000011
	byte %10000100
	byte %10000100
	byte %10000011
	byte %10000010
	byte %10000001
	byte %10000000	; last set (38)
	byte %00000000
	byte %00000000
	byte %00000000
	byte %01100000
	byte %01100001	;40
	byte %01100010
	byte %01100011
	byte %01100100
	byte %01100100
	byte %01100011	;48
	byte %01100010
	byte %01100001
	byte %00000000
	byte %00000000
	byte %00000000

	byte $01		;51 Start of Setup Screen B colors
	byte $01
	byte $01
	byte $01
	byte $01
	byte $01
	byte $01
	byte $01

	byte $51
	byte $51
	byte $51
	
	byte $01		;62 Start of Setup Screen A colors
	byte $01
	byte $01
	byte $01
	byte $01
	byte $01
	byte $01
	byte $01

	byte $81
	byte $81
	byte $81
	







